<ns-action-bar-container></ns-action-bar-container>
<account-frame
  title="Change Backup Code"
  submitText="Next"
  (onSubmit)="onSubmit()"
  *ngIf="!hasFinished && !backupCode"
  [nonFieldErrors]="nonFieldErrors"
>
  <label class="text-label m-b-20" textWrap="true" (tap)="learnMore()">
    <FormattedString>
      <span
        text="Replace your old backup code with a new one. Not sure what this is? "
      ></span>
      <span text="Learn More &#8250;" class="text-link"></span>
    </FormattedString>
  </label>
  <app-text-field
    #password
    autocorrect="false"
    autocapitalizationType="none"
    type="password"
    label="Verify Password"
    returnKeyType="next"
    [isFormSubmitted]="form.isSubmitted"
    [ngrxFormControl]="form.controls.oldPassword"
  ></app-text-field>
  <StackLayout
    class="p-b-10"
    *ngIf="form.isInvalid && form.isSubmitted && form.errors._oldPassword"
  >
    <label
      *ngIf="form.errors._oldPassword.required"
      class="text-label text-label--error m-b-10"
      textWrap="true"
      text="You must have a password!"
    ></label
  ></StackLayout>
  <progress-indicator
    [inProgress]="hasStarted"
    inProgressText="Verifying"
  ></progress-indicator>
  <app-download-backup-code
    *ngIf="hasFinished"
    [code]="backupCode"
  ></app-download-backup-code>
</account-frame>

<app-download-backup-code
  *ngIf="hasFinished && backupCode"
  [code]="backupCode"
></app-download-backup-code>
